int main(void)
{
    /* Initialized data */
    static double a[16] /* was [4][4] */ = { 7.9,8.5,4.3,3.2,5.6,-4.8,
                                 4.2,-1.4,5.7,.8,-3.2,-8.9,-7.2,3.5,9.3,3.3 };
    static double b[4] = { 7.,7.,7.,7. };

    /* Local variables */
    static int ierr;
    extern int asg8d_c(double *, int *, int *, int *, double *,
                       int *, int *, double *, double *, int *);
    static int i__, l, m, n, nlead[4];
    static double x[4], rcond;
    static int ltr;

#define a_ref(a_1,a_2) a[(a_2)*4 + a_1 - 5]

    m = 4;
    n = m;
    ltr = 0;
    l = 0;
    for (i__ = 1; i__ <= 4; ++i__) {
         printf("\n %22.14e %22.14e \n %22.14e %22.14e \n",
                a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3), a_ref(i__, 4));
    }
    asg8d_c(a, &m, &n, nlead, b, &ltr, &l, &rcond, x, &ierr);

    printf("\n  %5i %5i %5i %5i \n",
           nlead[0], nlead[1], nlead[2], nlead[3]);
    for (i__ = 1; i__ <= 4; ++i__) {
         printf("\n %22.14e %22.14e \n %22.14e %22.14e \n",
                a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3), a_ref(i__, 4));
    }
    printf("\n  %5i \n", ierr);
    printf("\n  %24.14e \n", rcond);
    for (i__ = 1; i__ <= 4; ++i__) {
         printf("\n  %22.14e \n", b[i__-1]);
    }
    for (i__ = 1; i__ <= 4; ++i__) {
         printf("\n  %22.14e \n", x[i__-1]);
    }
    return 0;
} /* main */

#undef a_ref
